## DESCRIPTION

           cinternet is a simple frontend for the smpppd.

## OPTIONS

           These  options  are  recognized  by  cinternet.  If a long
           option shows an argument as mandatory, then it  is  manda
           tory for the equivalent short option also.

           The order of the options is relevant except for the --ver
           bose, --only-local, --version and --help options.

           -I, --interface-list
                  List all configured interfaces of the  smpppd.  The
                  interfaces  are  also marked either with `u' or `d'
                  for their status of up or  down  respectively.  The
                  interface names are utf-8 encoded.

           -i, --interface-name=NAME
                  Specify  a interface. A interface must be specified
                  for most of the options below. This option must  be
                  given before any option that requires an interface.
                  The name must exactly match one  of  the  interface
                  list.

           --interface-number=NUM
                  Specify  a interface. A interface must be specified
                  for most of the options below. This option must  be
                  given before any option that requires an interface.
                  The numbers start at one.

           -P, --provider-list
                  List all configured  providers  for  the  specified
                  interface.  The  currently  active provider is pre
                  fixed by a `a', all others by a `i'.  The  provider
                  names are utf-8 encoded.

           -p, --provider-name=NAME
                  Select the active provider for the specified inter
                  face by name. The name must exactly  match  one  of
                  the provider list. Only works when the interface is
                  down.

           --provider-number=NUM
                  Select the active provider for the specified inter
                  face  by  number.  The  numbers  start at one. Only
                  works when the interface is down.

           -A, --start
                  Start the specified interface.

           -D, --dialin
                  Trigger dialin for the specified  interface.  (Only
                  face.

           -l, --log
                  Displays the log of the specified interface.

           -d, --debug={on,off}
                  Turn  debugging  mode of the smpppd on or off. This
                  does not affect connections already up.

           -L, --main-conifg
                  List the main config of the smpppd.

           -L, --main-log
                  List the  main  log,  the  log  containing  general
                  informations  not  specific to an interface, of the
                  smpppd.

           -v, --verbose
                  Be more verbose.

           -o, --only-local
                  Only connect to local smpppd.

           --script[=STYLE]
                  Format output for script. Known styles  are  c  and
                  sh.

           --version
                  Show program version and exit.

           --help Show help information and exit.

## FILES

           /etc/smpppd-c.conf
                  Contains information about remote smpppd.

           /var/run/smpppd/control
                  Socket to communicate with local smpppd.

## SEE ALSO

           kinternet,   qinternet,  accounting(1),  smpppd-c.conf(5),
           smpppd(8).

## AUTHOR

           Arvin Schnell <arvin@suse.de>

    SuSE                      December 2002              CINTERNET(1)